
Redmine - Defect #33140

Gantt bar is not displayed if the due date is the leftmost date or the start date is the rightmost date

2020-03-13 03:16 - Jaebok Oh

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.8   

Resolution: Fixed Affected version: 4.0.6

Description

If the start date and due date are 1st of the month, this will not be displayed.

Related issues:

Related to Redmine - Defect #33175: Starting or ending marker is not displaye... Closed

Associated revisions

Revision 19935 - 2020-07-25 10:17 - Go MAEDA

Gantt bar is not displayed if the due date is the leftmost date or the start date is the rightmost date (#33140).

Patch by Yuichi HARADA.

Revision 19936 - 2020-07-25 10:54 - Go MAEDA

Merged r19935 from trunk to 4.1-stable (#33140).

Revision 19937 - 2020-07-25 10:55 - Go MAEDA

Merged r19935 from trunk to 4.0-stable (#33140).

History

#1 - 2020-03-13 04:43 - Go MAEDA

- Status changed from New to Confirmed

- Affected version changed from 4.1.0 to 4.0.6

#2 - 2020-03-13 04:48 - Go MAEDA

- Subject changed from If the start date and due date are 1st of the month, this will not be displayed. to Gantt bar is not displayed if the start date and

the due date are the first day of the month

#3 - 2020-03-13 07:53 - Go MAEDA

- Subject changed from Gantt bar is not displayed if the start date and the due date are the first day of the month to Gantt bar is not displayed if the

due date is the first day of the month

#4 - 2020-03-16 07:07 - Yuichi HARADA

- File 33140.patch added

With the following patch, the Gantt bar is displayed if the due date is the first day of the Gantt or the start date is the last day of the Gantt.

diff --git a/lib/redmine/helpers/gantt.rb b/lib/redmine/helpers/gantt.rb

index 285eb66a0..e4663e08e 100644

--- a/lib/redmine/helpers/gantt.rb

+++ b/lib/redmine/helpers/gantt.rb

@@ -623,7 +623,7 @@ module Redmine

       def coordinates(start_date, end_date, progress, zoom=nil)

         zoom ||= @zoom

         coords = {}

-        if start_date && end_date && start_date < self.date_to && end_date > self.date_from

+        if start_date && end_date && start_date <= self.date_to && end_date >= self.date_from

           if start_date > self.date_from

             coords[:start] = start_date - self.date_from

             coords[:bar_start] = start_date - self.date_from
#5 - 2020-04-01 17:51 - Go MAEDA

- Target version set to Candidate for next minor release

#6 - 2020-07-14 02:33 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.0.8

Setting the target version to 4.0.8.

#7 - 2020-07-25 10:18 - Go MAEDA

- Subject changed from Gantt bar is not displayed if the due date is the first day of the month to Gantt bar is not displayed if the due date is the

leftmost date or the start date is the rightmost date

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#8 - 2020-07-25 10:55 - Go MAEDA

- Status changed from Resolved to Closed

#9 - 2020-08-09 09:19 - Go MAEDA

- Related to Defect #33175: Starting or ending marker is not displayed if they are on the leftmost or rightmost boundary of the gantt added

Files

gantchart.png 144 KB 2020-03-13 Jaebok Oh

33140.patch 2.46 KB 2020-03-16 Yuichi HARADA
